package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(goods_order_item):
 */
public class GoodsOrderItem {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "商品订单编号",required = false)
	private Long goodsOrderId;
	
	/**  */
	@ApiModelProperty(value = "备注",required = false)
	private Integer goodsId;
	
	/** 市场价 */
	@ApiModelProperty(value = "市场价",required = false)
	private BigDecimal marketPrice;
	
	/** 折扣价 */
	@ApiModelProperty(value = "折扣价",required = false)
	private BigDecimal discountPrice;
	
	/** 商品数量 */
	@ApiModelProperty(value = "商品数量",required = false)
	private Integer goodsQuantity;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setGoodsOrderId(Long goodsOrderId){
		this.goodsOrderId = goodsOrderId;
	}
	
	public Long getGoodsOrderId(){
		return this.goodsOrderId;
	}
			
	public void setGoodsId(Integer goodsId){
		this.goodsId = goodsId;
	}
	
	public Integer getGoodsId(){
		return this.goodsId;
	}

	public BigDecimal getMarketPrice() {
		return marketPrice;
	}

	public void setMarketPrice(BigDecimal marketPrice) {
		this.marketPrice = marketPrice;
	}

	public BigDecimal getDiscountPrice() {
		return discountPrice;
	}

	public void setDiscountPrice(BigDecimal discountPrice) {
		this.discountPrice = discountPrice;
	}

	public void setGoodsQuantity(Integer goodsQuantity){
		this.goodsQuantity = goodsQuantity;
	}
	
	public Integer getGoodsQuantity(){
		return this.goodsQuantity;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
